---
- set_fact:
    helm_service_name: 'book-admin'
    helm_image_tag: { k3s: 'latest', staging: '{{ helm_image_tag_staging }}', prod: '{{ helm_image_tag_prod }}' }

- name: "Local Development?"
  include_tasks: local.yml
  when: secrets_book_admin_env == 'local'

- name: "Docker Development?"
  include_tasks: docker.yml
  when: secrets_book_admin_env == 'docker'

- name: "Docker Development?"
  include_tasks: k3s.yml
  when: secrets_book_admin_env == 'k3s'

- name: "Docker Development?"
  include_tasks: staging.yml
  when: secrets_book_admin_env == 'staging'

- name: "Docker Development?"
  include_tasks: prod.yml
  when: secrets_book_admin_env == 'prod'
